Skip to content

Get Product Library Vulnerabilities

Request

Returns a list of the vulnerabilities in the libraries of a given product

Security
bearer-key
Path
productTokenstringrequired

product UUID (by running Entities - Organization > Get Organization Products) or Product Token (from the Mend SCA App: Integrate tab > Product Token).

libraryUuidstringrequired

library UUID (get a project's library by running Library - Project > Get Project Libraries.

Query
pageSizestring, <= 10000
Default:"50"
pagestring
Default:"0"
GET
/api/v2.0/products/{productToken}/libraries/{libraryUuid}/vulnerabilities
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/products/{productToken}/libraries/{libraryUuid}/vulnerabilities?pageSize=50&page=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
additionalDataobject(Provides insights into endpoint-supported pagination information.)
  • totalItems: The total count of data points returned in an API response.
  • isLastPage: Defines whether the current page represents the conclusion of the API response. When “true”, this signifies you are viewing the last page of the API response. When “false”, this indicates there are further pages remaining.
Example:
{ "totalItems": "422", "isLastPage": "true" }
supportTokenstring(Support Token)
Example:"1171c60d"
retValArray of objects(VulnerabilityProfileDTO)
Response
{ "additionalData": { "totalItems": "422", "isLastPage": "true" }, "supportToken": "1171c60d", "retVal": [ {} ] }